Get object type with statuses and custom fields (admin)
GET
/object-types/{id}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredResponses
200
createdAtstringrequiredcustomFieldsObjectCustomFieldInTypeDto[]requiredShow propertiesHide properties
Array of
ObjectCustomFieldInTypeDtodescriptionstringrequiredidstringrequirednamestringrequiredobjectTypeIdstringrequiredselectOptionsany[]requiredshowInHeaderbooleanrequiredshowInListbooleanrequiredsortnumberrequiredtranslationsany[]requiredtypestringrequirediconobject | nullrequiredidstringrequirednamestringrequiredslugstringrequiredsortnumberrequiredstatusesObjectStatusDto[]requiredShow propertiesHide properties
Array of
ObjectStatusDtocolorstringrequiredcreatedAtstringrequiredidstringrequirednamestringrequiredsortnumberrequired401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/object-types/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/object-types/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/object-types/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"createdAt": "string",
"customFields": [
{
"description": "string",
"id": "string",
"name": "string",
"objectTypeId": "string",
"selectOptions": [
null
],
"showInHeader": true,
"showInList": true,
"sort": 0,
"translations": [
null
],
"type": "string"
}
],
"icon": {},
"id": "string",
"name": "string",
"slug": "string",
"sort": 0,
"statuses": [
{
"color": "string",
"createdAt": "string",
"id": "string",
"name": "string",
"sort": 0
}
]
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions